﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _9315
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();
            ShapeFileFeatureLayer shapeFileLayer = new ShapeFileFeatureLayer(@"..\..\AppData\states.shp");
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = WorldStreetsAreaStyles.Military();
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;


            layerOverlay.Layers.Add(shapeFileLayer);
            winformsMap1.Overlays.Add(layerOverlay);

            shapeFileLayer.Open();
            winformsMap1.CurrentExtent = shapeFileLayer.GetBoundingBox();

            GenerateRandomVehicles(shapeFileLayer.GetBoundingBox());

            winformsMap1.Refresh();
        }

        private void GenerateRandomVehicles(RectangleShape rect)
        {
            SimpleMarkerOverlay smo = new SimpleMarkerOverlay();
            smo.MapControl = winformsMap1;
            winformsMap1.Overlays.Add(smo);

            PointShape ulp = rect.UpperLeftPoint;
            PointShape lrp = rect.LowerRightPoint;
            Random r = new Random();

            PointShape randomP1 = new PointShape(r.Next((int)ulp.X, (int)lrp.X), r.Next((int)lrp.Y, (int)ulp.Y));

            Marker marker = new Marker(randomP1);
            marker.ToolTipDelayInMilliseconds = 1000;
            marker.ToolTipText = "Test1";
            marker.Image = new System.Drawing.Bitmap(@"..\..\AppData\car.png");
            
            smo.Markers.Add(marker);
        }
    }
}
